/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';
@import 'css/_general_styling.scss';

.o-coaIndicatorsCard {
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  overflow: hidden;
  &__collapse {
    background: $coa-white-100;
    border: none;
    .ant-collapse-header {
      padding-block: 0 !important;
    }
  }
  &__header {
    padding-block: 1.25rem;
    padding-inline: 1.78rem;
    display: flex;
    justify-content: space-between;
    align-items: center;

    @include breakpoint(sm) {
      /* stylelint-disable-line */
      padding-inline: 1rem;
    }

    &__title {
      @include primary-text(1.125rem, $coa-medium-gray-100, 400);
    }
    &__icon {
      color: $coa-medium-gray-100;
    }
    &__left {
      display: flex;
      align-items: center;
      column-gap: 0.4rem;

      @include breakpoint(lg) {
        justify-content: space-between;
      }
    }
    &__right {
      display: flex;
      align-items: center;
      column-gap: 1.25rem;
      @include breakpoint(lg) {
        justify-content: space-between;
      }
    }

    &__evidenceText {
      @include breakpoint(sm) {
        display: none !important;
      }
    }

    &__btn {
      @include breakpoint(lg) {
        padding: 0;
      }
    }
  }
  &__divider {
    margin: 0 !important;
  }
  &__body {
    padding-block: 1.25rem;
    padding-inline: 1.78rem;
    display: flex;
    flex-direction: column;
    row-gap: 1.25rem;

    @include breakpoint(sm) {
      padding-inline: 1rem;
    }
    &__indicators {
      display: flex;
      justify-content: flex-start;
      @include breakpoint(xl) {
        flex-direction: column;
      }
      &__container {
        display: flex;
        column-gap: 1.31rem;
        align-items: center;

        &__left {
          display: flex;
          column-gap: 1.31rem;
          align-items: center;
          @include breakpoint(lg) {
            display: grid;
            grid-template-columns: 1fr 1fr;
          }
        }
      }
      &__indicator {
        display: flex;
        flex-direction: column;
        row-gap: 0.25rem;
        &__title {
          @include primary-text(0.875rem, $coa-medium-gray-100, 400);
          opacity: 0.7;
          @include breakpoint(xs) {
            font-size: 0.6rem;
          }
          @include breakpoint(md) {
            @include primary-text(0.75rem, $coa-medium-gray-100, 400);
          }
        }
        &__value {
          @include primary-text(1.125rem, $coa-medium-gray-100, 400);

          @include breakpoint(md) {
            @include primary-text(0.875rem, $coa-medium-gray-100, 400);
          }
        }
      }
    }
  }

  &__iconIndicator {
    background: $coa-medium-gray-100;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
    padding: 0.5em;
    color: $coa-white-100;
  }
}

.cardHeader {
  @include breakpoint(lg) {
    flex-direction: column;
    align-items: flex-start;
    row-gap: 1rem;
  }
}
